using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Collections.ObjectModel;

namespace ODataDemoApplication.Model
{
    public class MyProductsList : Collection<MyProduct>
    {
        public MyProductsList() : base()
        {
            Add(new MyProduct()
            {
                ID = 1,
                Name = "First product",
                Parameter = new MyProductParameter() { Name = "Weight", Value = "100g"}
            });

            Add(new MyProduct()
            {
                ID = 2,
                Name = "Second product",
                Parameter = new MyProductParameter() { Name = "Width", Value = "100mm"}
            });

            Add(new MyProduct()
            {
                ID = 3,
                Name = "Third product",
                Parameter = new MyProductParameter() { Name = "Height", Value = "15mm" }
            });
        }
    }
}